Notes de mise à jour de Moodle 3.3.9

Cette version de Moodle n'est plus supportée ! Vous devriez mettre à jour vers une version supportée de Moodle.

Date de sortie : 12 novembre 2018

Vous pouvez consulter la liste des détails sur les évolutions et corrections de bogues de cette version 3.3.9 (en anglais).

warning.png Avertissement : Pour les sites utilisant un thème ou un formulaire de connexion personnalisé (voire une authentification SSO), depuis Moodle 3.3.9 le formulaire d'authentification doit inclure un nouveau champ de jeton de connexion (sinon la connexion sera impossible). Pour trouver des détails sur les changements requis, voir la documentation dédiée (en anglais).

Changements importants

  • MDL-62563 - Suppression de données d'utilisateurs supprimés
  • MDL-62491 - Exportation de demande de données au format HTML
  • MDL-63401 - Améliorations de l'expiration d'utilisateurs
  • MDL-63619 - Améliorations aux objectifs des données et à l'héritage de catégories
  • MDL-62554 - Possibilité de configurer le registre de données pour utiliser les valeurs par défaut du type de module
  • MDL-63116 - Actions par lot pour les demandes de données
  • MDL-63009 - Site mentionné dans les notifications de demandes de données par courriel
  • MDL-62904 - Lien de suppression de données sur la page de profil

Corrections et améliorations

  • MDL-63421 - Vérification de l'environnement pour les versions ne prenant pas en charge PHP 7.3
  • MDL-63267 - Devoir : rubrics should consider the fillings table

Sécurité

  • MSA-18-0020 Vulnérabilité CSRF dans le formulaire de connexion

Voir aussi